Saltar al contenido

Conectarse mediante la interfaz Python SAP HANA

Es el instalador de paquetes estándar para Python pepita. Los siguientes comandos comprobarán la versión de pip e intentarán actualizarla a la última versión disponible. Nuevamente, use el comando pip o pip3 que devuelve la versión 3.4 o superior de Python.

pip --version
pip3 --version
pip install --upgrade pip

En Linux o Mac, si se encuentra con problemas de permisos, una forma de resolver el problema es usarlo sudo antes del pedido.

Es el repositorio que contiene los paquetes de Python. PyPI y hay un paquete para el cliente SAP HANA para Python.

El comando de canalización se puede utilizar para enumerar la versión actualmente disponible del controlador de base de datos de SAP HANA para Python en PyPI.

pip search hdbcli

Ejecute el siguiente comando para descargar e instalar el cliente SAP HANA para Python desde PyPI:

pip install hdbcli

Si se muestra un error que indica “No hay distribución coincidente para hdbcli, un método alternativo es instalarlo desde la carpeta de instalación del cliente SAP HANA como se muestra a continuación.

cd C:SAPhdbclient
pip install hdbcli-2.5.86.zip

Para actualizar a la última versión disponible, ingrese el siguiente comando:

pip install --no-cache-dir --upgrade hdbcli

Para desinstalar hdbcli, ejecute el siguiente comando:

pip uninstall hdbcli

Se puede instalar una versión separada usando el siguiente comando.

pip install hdbcli==2.4.167

Hecho

Inicie sesión para responder la pregunta